/**
 * Wenn ein Fehler passiert, diesen Dialog anzeigen und
 * die App einfrieren. Es hilft nur noch ein
 * neustart, sobald dieser Screen erreicht ist :)
 */
var ErrorView = function() {
  var self = {};
  var visible = false;

  function keyDown(event) {
      var keycode = event.keyCode;
      switch(keycode) {
         case KEYS.KEY_EXIT:
           widgetAPI.sendExitEvent();
         case KEYS.KEY_RETURN:
           widgetAPI.sendReturnEvent();
           event.preventDefault();
           break;
         default:
           break;
      }
  }

  self.visible = function() {
    return visible;
  };

  self.show = function(type, message) {
    if (visible) {
      return;
    }

    ChannelView.mode = "ERROR";

    Splash.hide();
    Loader.stop();
    visible = true;

    // Type wird nicht mehr ausgewertet, steht
    // hier aber noch drin, falls wir uns mal
    // wieder umentscheiden :)
    if (type != "error" && type != "attention") {
      type = "error";
    }

    if (Textinput.currentFocus != null) {
      Textinput.currentFocus.unfocus();
    }

    InputHandler.replaceKeyHandlers({
      keyboardHandler: keyDown
    });

    Player.stopVideo(false);

    $("#putpat_view").hide();
    $("body").append("<div id='error_page'>" +
                  "<img id='bg' src='" + Positions.size + "images/message/bg_error.jpg'/>"+
                  "<img id='box' src='" + Positions.size + "images/message/message_box.png'/>"+
                  "<div id='message'>" + 
                    "<h1>Leider wurde ein Fehler festgestellt</h1>"+
                    "<p>"+message+"</p>"+
                    "<p>Bitte starte Putpat TV neu und versuche es noch einmal.</p>" +
                  "</div>"+
             "</div>");
  };

  return self;
}();
