/**
 * Der Spinner in der App
 */
var Loader = {
  'offset' : 0,
  'running' : false,

  'start' : function(text) {
    if (!Loader.running) {
        $("body").append('<div id="loader"><img id="loading_image" src="'+Positions.size+'images/loader/loading_00.png"/></div>');
        Loader.offset = 0;
        Loader.running = true;
        Loader.animate();
    }
  },

  'animate': function () {
    try {
      if (Loader.running) {
        pos = "";
        if (Loader.offset < 10) {
          pos = "0";
        }
        pos += Loader.offset;

        $('#loading_image').attr("src", Positions.size + "images/loader/loading_" + pos + ".png");

        Loader.offset++;
        if (Loader.offset > 11) {
          Loader.offset = 0;
        }

        setTimeout('Loader.animate()', 100);
      }
    } catch(e) {
      Putpat.reportError(e, "unkown", "Loader#animate", "");
    }
  },

  'stop': function() {
    Loader.running = false;
    var removedEl = $("#loader").remove();
  },

  'isRunning' : function() {
    return Loader.running;
  }

};
